package xn.update.receiver;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.text.TextUtils;

import com.blankj.utilcode.util.AppUtils;
import com.blankj.utilcode.util.LogUtils;
import com.blankj.utilcode.util.SPUtils;

import xn.update.constant.AppConstant;

public class ProcessReceiver extends BroadcastReceiver {
    @Override
    public void onReceive(Context context, Intent intent) {
        String aPackage = intent.getPackage();
        // 其他应用发送过来的信息
        if (null != aPackage && !TextUtils.isEmpty(aPackage) && !AppUtils.getAppPackageName().equals(aPackage)) {
            boolean autoMaster = intent.getBooleanExtra("auto_master", false);
            LogUtils.d("其它应用更新", autoMaster);
            SPUtils.getInstance().put(AppConstant.AUTO_MASTER, autoMaster);
        }
    }
}
